Subject: [Add] DDR proposed edits

From: Tommy Jensen <[email-masked]>
Date: Tue, 23 Mar 2021 19:44:16 +0000

I would like to present the in-progress text edits I'm proposing following IETF 110 for some of the GitHub issues for DDR. I will omit the IP hint item as it already has a thread from earlier today.

Regarding private IP addresses: (thanks to Eliot for filing Issue #3) the text was previously in conflict on this point. The following changes clarify that opportunistic is allowed when the unencrypted resolver and the designated resolver share an IP address regardless of whether that address is private or not: Make opportunistic "same IP" instead of "if private" by mstojens * Pull Request #13 * ietf-wg-add/draft-ietf-add-ddr (github.com)<https://github.com/ietf-wg-add/draft-ietf-add-ddr/pull/13/files>

Regarding SUDN and forwarders: (thanks to Ben and Brian for filing issues) the text wandered into dangerous territory. Now it simply says forwarders SHOULD NOT forward "resolver.arpa" queries unless they are aware of and accept the implications (for example, if they know the designated resolver can claim the IP address of the forwarder even though the record is served by the upstream resolver): Simplify guidance for forwarders by mstojens * Pull Request #14 * ietf-wg-add/draft-ietf-add-ddr (github.com)<https://github.com/ietf-wg-add/draft-ietf-add-ddr/pull/14/files>

A note on the last item: this text update is scoped to "what do we tell forwarders to do about resolver.arpa" without visiting the more contentious scope question of "do we allow discovery of a public resolver from a private forwarder". If Ben's PR or any other edit is accepted that broadens the scope of the document, this guidance will have to change as well.

Thanks,
Tommy